PyObjcC module warning

Just finished a typeface in Glyphs 2 and starting to set up Glyphs 3. I got this warning but don’t know what it is and how to resolve it.

Screen Shot 13

The instructions are in the error message in your image.

Allow me to clarify. I don’t know how to use the Terminal. Do I just type in “pip3 install pyobjc” ? And what exactly does that mean, and what does it do? Why do I have to do this? And what Python module from the Plugin Manager? I’m not seeing what I need.

In Glyphs, go to the Modules tab in Plugin Manager. Install the one that says Python.

Okay. I dug a little deeper. Here’s what I see and I still get the message on start up.

Screen Shot 12

Was it already installed? If not and you installed it, did you restart Glyphs after installing?

And you might need to check the set python version in Preferences > Addons. Pick the one that has ‘Glyphs’ in the name.

This tutorial should contain everything you need to do: Extending Glyphs | Glyphs